XtMapWidget(3) | Library Functions Manual | XtMapWidget(3)

# NAME

XtMapWidget, XtSetMappedWhenManaged, XtUnmapWidget - map and unmap widgets

# SYNTAX

#include <X11/Intrinsic.h>

void XtMapWidget(Widget w);

void XtSetMappedWhenManaged(Widget w, Boolean map_when_managed);

void XtUnmapWidget(Widget w);

# ARGUMENTS

map_when_managed
  Specifies a Boolean value that indicates the new value of the map_when_managed field.
w
  Specifies the widget.

# DESCRIPTION

If the widget is realized and managed and if the new value of map_when_managed is True, XtSetMappedWhenManaged maps the window. If the widget is realized and managed and if the new value of map_when_managed is False, it unmaps the window. XtSetMappedWhenManaged is a convenience function that is equivalent to (but slightly faster than) calling XtSetValues and setting the new value for the mappedWhenManaged resource. As an alternative to using XtSetMappedWhenManaged to control mapping, a client may set mapped_when_managed to False and use XtMapWidget and XtUnmapWidget explicitly.

# SEE ALSO

XtManageChildren(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS